> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 견적서 항목 템플릿 단일 조회

> 단일 견적서 항목의 상세 정보를 조회합니다. 분류, 단가, 단위, 설명 등을 포함합니다.



## OpenAPI

````yaml GET /v1/estimate/item/{item_id}
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/estimate/item/{item_id}:
    get:
      tags:
        - estimate
      summary: 견적서 항목 상세
      description: 단일 견적서 항목의 상세 정보를 조회합니다. 분류, 단가, 단위, 설명 등을 포함합니다.
      operationId: estimate_item_retrieve
      parameters:
        - in: path
          name: item_id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiEstimateItemRetrieveUpdate'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    OpenapiEstimateItemRetrieveUpdate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          description: 제목
          maxLength: 256
        unitCost:
          type: string
          format: decimal
          pattern: ^-?\d{0,28}(?:\.\d{0,2})?$
          description: 단위당 비용
        unit:
          type: string
          description: 단위
          maxLength: 8
        image:
          type: string
          readOnly: true
        description:
          type:
            - string
            - 'null'
          description: 설명
          maxLength: 2048
        classification:
          description: 분류
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/NestedEstimateItemClassification'
      required:
        - id
        - image
        - title
        - unit
        - unitCost
    NestedEstimateItemClassification:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````